package org.jboss.errai.ioc.client;

import java.lang.annotation.Annotation;
import javax.enterprise.context.Dependent;
import javax.enterprise.event.Event;
import org.guvnor.common.services.project.client.context.WorkspaceProjectContext;
import org.guvnor.common.services.project.client.security.ProjectController;
import org.guvnor.common.services.shared.metadata.MetadataService;
import org.guvnor.common.services.shared.metadata.model.Metadata;
import org.guvnor.messageconsole.client.console.widget.button.AlertsButtonMenuItemBuilder;
import org.guvnor.structure.repositories.RepositoryRemovedEvent;
import org.jboss.errai.bus.client.ErraiBus;
import org.jboss.errai.bus.client.api.Subscription;
import org.jboss.errai.common.client.api.Caller;
import org.jboss.errai.enterprise.client.cdi.AbstractCDIEventCallback;
import org.jboss.errai.enterprise.client.cdi.api.CDI;
import org.jboss.errai.ioc.client.api.ManagedInstance;
import org.jboss.errai.ioc.client.container.ContextManager;
import org.jboss.errai.ioc.client.container.Factory;
import org.jboss.errai.ioc.client.container.FactoryHandleImpl;
import org.jboss.errai.ui.client.local.spi.TranslationService;
import org.kie.workbench.common.forms.editor.client.editor.FormEditorContext;
import org.kie.workbench.common.forms.editor.client.editor.FormEditorHelper;
import org.kie.workbench.common.forms.editor.client.editor.FormEditorPresenter;
import org.kie.workbench.common.forms.editor.client.editor.FormEditorPresenter.FormEditorView;
import org.kie.workbench.common.forms.editor.client.editor.FormEditorViewImpl;
import org.kie.workbench.common.forms.editor.client.editor.changes.ChangesNotificationDisplayer;
import org.kie.workbench.common.forms.editor.client.editor.errorMessage.ErrorMessageDisplayer;
import org.kie.workbench.common.forms.editor.client.editor.events.FormEditorSyncPaletteEvent;
import org.kie.workbench.common.forms.editor.client.editor.rendering.EditorFieldLayoutComponent;
import org.kie.workbench.common.forms.editor.client.type.FormDefinitionResourceType;
import org.kie.workbench.common.forms.editor.model.FormModelerContent;
import org.kie.workbench.common.forms.editor.service.shared.FormEditorService;
import org.kie.workbench.common.services.refactoring.client.usages.ShowAssetUsagesDisplayer;
import org.kie.workbench.common.widgets.client.docks.DefaultEditorDock;
import org.kie.workbench.common.widgets.client.menu.FileMenuBuilder;
import org.kie.workbench.common.widgets.client.menu.FileMenuBuilderImpl;
import org.kie.workbench.common.widgets.metadata.client.KieEditor;
import org.kie.workbench.common.widgets.metadata.client.KieEditorWrapperView;
import org.kie.workbench.common.widgets.metadata.client.KieEditorWrapperView.KieEditorWrapperPresenter;
import org.kie.workbench.common.widgets.metadata.client.KieEditorWrapperViewImpl;
import org.kie.workbench.common.widgets.metadata.client.validation.AssetUpdateValidator;
import org.kie.workbench.common.widgets.metadata.client.widget.OverviewWidgetPresenter;
import org.kie.workbench.common.workbench.client.events.LayoutEditorFocusEvent;
import org.kie.workbench.common.workbench.client.events.LayoutEditorLostFocusEvent;
import org.uberfire.client.mvp.PerspectiveManager;
import org.uberfire.client.mvp.PerspectiveManagerImpl;
import org.uberfire.client.mvp.PlaceManager;
import org.uberfire.client.mvp.PlaceManagerImpl;
import org.uberfire.client.promise.Promises;
import org.uberfire.client.workbench.events.ChangeTitleWidgetEvent;
import org.uberfire.client.workbench.events.PlaceGainFocusEvent;
import org.uberfire.client.workbench.events.PlaceHiddenEvent;
import org.uberfire.ext.editor.commons.client.BaseEditor;
import org.uberfire.ext.editor.commons.client.event.ConcurrentDeleteAcceptedEvent;
import org.uberfire.ext.editor.commons.client.event.ConcurrentDeleteIgnoredEvent;
import org.uberfire.ext.editor.commons.client.event.ConcurrentRenameAcceptedEvent;
import org.uberfire.ext.editor.commons.client.event.ConcurrentRenameIgnoredEvent;
import org.uberfire.ext.editor.commons.client.file.popups.CopyPopUpPresenter;
import org.uberfire.ext.editor.commons.client.file.popups.DeletePopUpPresenter;
import org.uberfire.ext.editor.commons.client.file.popups.RenamePopUpPresenter;
import org.uberfire.ext.editor.commons.client.file.popups.SavePopUpPresenter;
import org.uberfire.ext.editor.commons.client.history.VersionRecordManager;
import org.uberfire.ext.editor.commons.client.menu.BasicFileMenuBuilder;
import org.uberfire.ext.editor.commons.client.menu.BasicFileMenuBuilderImpl;
import org.uberfire.ext.editor.commons.client.menu.DownloadMenuItemBuilder;
import org.uberfire.ext.editor.commons.client.menu.common.SaveAndRenameCommandBuilder;
import org.uberfire.ext.editor.commons.client.validation.DefaultFileNameValidator;
import org.uberfire.ext.editor.commons.version.events.RestoreEvent;
import org.uberfire.ext.layout.editor.client.LayoutEditorPluginImpl;
import org.uberfire.ext.layout.editor.client.api.ComponentRemovedEvent;
import org.uberfire.ext.layout.editor.client.api.LayoutDragComponentPalette;
import org.uberfire.ext.layout.editor.client.api.LayoutEditor;
import org.uberfire.ext.layout.editor.client.event.LayoutEditorElementSelectEvent;
import org.uberfire.ext.layout.editor.client.widgets.LayoutComponentPalettePresenter;
import org.uberfire.ext.layout.editor.client.widgets.LayoutEditorPropertiesPresenter;
import org.uberfire.ext.plugin.client.perspective.editor.layout.editor.HTMLLayoutDragComponent;
import org.uberfire.ext.widgets.common.client.common.BusyIndicatorView;
import org.uberfire.workbench.events.NotificationEvent;

public class Type_factory__o_k_w_c_f_e_c_e_FormEditorPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<FormEditorPresenter> { public Type_factory__o_k_w_c_f_e_c_e_FormEditorPresenter__quals__j_e_i_Any_j_e_i_Default() {
    super(new FactoryHandleImpl(FormEditorPresenter.class, "Type_factory__o_k_w_c_f_e_c_e_FormEditorPresenter__quals__j_e_i_Any_j_e_i_Default", Dependent.class, false, null, true));
    handle.setAssignableTypes(new Class[] { FormEditorPresenter.class, KieEditor.class, BaseEditor.class, Object.class, KieEditorWrapperPresenter.class });
  }

  public FormEditorPresenter createInstance(final ContextManager contextManager) {
    final FormDefinitionResourceType _resourceType_2 = (FormDefinitionResourceType) contextManager.getInstance("Type_factory__o_k_w_c_f_e_c_t_FormDefinitionResourceType__quals__j_e_i_Any_j_e_i_Default");
    final Caller<FormEditorService> _editorService_3 = (Caller) contextManager.getContextualInstance("ContextualProvider_factory__o_j_e_c_c_a_Caller__quals__Universal", new Class[] { FormEditorService.class }, new Annotation[] { });
    final LayoutEditorPropertiesPresenter _layoutEditorPropertiesPresenter_8 = (LayoutEditorPropertiesPresenter) contextManager.getInstance("Type_factory__o_u_e_l_e_c_w_LayoutEditorPropertiesPresenter__quals__j_e_i_Any_j_e_i_Default");
    final TranslationService _translationService_4 = (TranslationService) contextManager.getInstance("Provider_factory__o_j_e_u_c_l_s_TranslationService__quals__j_e_i_Any_j_e_i_Default");
    final ManagedInstance<EditorFieldLayoutComponent> _editorFieldLayoutComponents_5 = (ManagedInstance) contextManager.getContextualInstance("ContextualProvider_factory__o_j_e_i_c_a_ManagedInstance__quals__Universal", new Class[] { EditorFieldLayoutComponent.class }, new Annotation[] { });
    final ShowAssetUsagesDisplayer _showAssetUsagesDisplayer_6 = (ShowAssetUsagesDisplayer) contextManager.getInstance("Type_factory__o_k_w_c_s_r_c_u_ShowAssetUsagesDisplayer__quals__j_e_i_Any_j_e_i_Default");
    final FormEditorView _view_0 = (FormEditorViewImpl) contextManager.getInstance("Type_factory__o_k_w_c_f_e_c_e_FormEditorViewImpl__quals__j_e_i_Any_j_e_i_Default");
    final ErrorMessageDisplayer _errorMessageDisplayer_7 = (ErrorMessageDisplayer) contextManager.getInstance("Type_factory__o_k_w_c_f_e_c_e_e_ErrorMessageDisplayer__quals__j_e_i_Any_j_e_i_Default");
    final ChangesNotificationDisplayer _changesNotificationDisplayer_1 = (ChangesNotificationDisplayer) contextManager.getInstance("Type_factory__o_k_w_c_f_e_c_e_c_ChangesNotificationDisplayer__quals__j_e_i_Any_j_e_i_Default");
    final FormEditorPresenter instance = new FormEditorPresenter(_view_0, _changesNotificationDisplayer_1, _resourceType_2, _editorService_3, _translationService_4, _editorFieldLayoutComponents_5, _showAssetUsagesDisplayer_6, _errorMessageDisplayer_7, _layoutEditorPropertiesPresenter_8);
    registerDependentScopedReference(instance, _editorService_3);
    registerDependentScopedReference(instance, _translationService_4);
    registerDependentScopedReference(instance, _editorFieldLayoutComponents_5);
    registerDependentScopedReference(instance, _showAssetUsagesDisplayer_6);
    registerDependentScopedReference(instance, _view_0);
    registerDependentScopedReference(instance, _errorMessageDisplayer_7);
    registerDependentScopedReference(instance, _changesNotificationDisplayer_1);
    setIncompleteInstance(instance);
    final Event BaseEditor_concurrentDeleteAcceptedEvent = (Event) contextManager.getContextualInstance("ContextualProvider_factory__j_e_e_Event__quals__Universal", new Class[] { ConcurrentDeleteAcceptedEvent.class }, new Annotation[] { });
    registerDependentScopedReference(instance, BaseEditor_concurrentDeleteAcceptedEvent);
    BaseEditor_Event_concurrentDeleteAcceptedEvent(instance, BaseEditor_concurrentDeleteAcceptedEvent);
    final WorkspaceProjectContext KieEditor_workbenchContext = (WorkspaceProjectContext) contextManager.getInstance("Type_factory__o_g_c_s_p_c_c_WorkspaceProjectContext__quals__j_e_i_Any_j_e_i_Default");
    KieEditor_WorkspaceProjectContext_workbenchContext(instance, KieEditor_workbenchContext);
    final VersionRecordManager BaseEditor_versionRecordManager = (VersionRecordManager) contextManager.getInstance("Type_factory__o_u_e_e_c_c_h_VersionRecordManager__quals__j_e_i_Any_j_e_i_Default");
    registerDependentScopedReference(instance, BaseEditor_versionRecordManager);
    BaseEditor_VersionRecordManager_versionRecordManager(instance, BaseEditor_versionRecordManager);
    final Event BaseEditor_concurrentRenameIgnoredEvent = (Event) contextManager.getContextualInstance("ContextualProvider_factory__j_e_e_Event__quals__Universal", new Class[] { ConcurrentRenameIgnoredEvent.class }, new Annotation[] { });
    registerDependentScopedReference(instance, BaseEditor_concurrentRenameIgnoredEvent);
    BaseEditor_Event_concurrentRenameIgnoredEvent(instance, BaseEditor_concurrentRenameIgnoredEvent);
    final SaveAndRenameCommandBuilder BaseEditor_saveAndRenameCommandBuilder = (SaveAndRenameCommandBuilder) contextManager.getInstance("Type_factory__o_u_e_e_c_c_m_c_SaveAndRenameCommandBuilder__quals__j_e_i_Any_j_e_i_Default");
    registerDependentScopedReference(instance, BaseEditor_saveAndRenameCommandBuilder);
    BaseEditor_SaveAndRenameCommandBuilder_saveAndRenameCommandBuilder(instance, BaseEditor_saveAndRenameCommandBuilder);
    final HTMLLayoutDragComponent FormEditorPresenter_htmlLayoutDragComponent = (HTMLLayoutDragComponent) contextManager.getInstance("Type_factory__o_u_e_p_c_p_e_l_e_HTMLLayoutDragComponent__quals__j_e_i_Any_j_e_i_Default");
    registerDependentScopedReference(instance, FormEditorPresenter_htmlLayoutDragComponent);
    FormEditorPresenter_HTMLLayoutDragComponent_htmlLayoutDragComponent(instance, FormEditorPresenter_htmlLayoutDragComponent);
    final Event FormEditorPresenter_layoutLostFocusEvent = (Event) contextManager.getContextualInstance("ContextualProvider_factory__j_e_e_Event__quals__Universal", new Class[] { LayoutEditorLostFocusEvent.class }, new Annotation[] { });
    registerDependentScopedReference(instance, FormEditorPresenter_layoutLostFocusEvent);
    FormEditorPresenter_Event_layoutLostFocusEvent(instance, FormEditorPresenter_layoutLostFocusEvent);
    final OverviewWidgetPresenter KieEditor_overviewWidget = (OverviewWidgetPresenter) contextManager.getInstance("Type_factory__o_k_w_c_w_m_c_w_OverviewWidgetPresenter__quals__j_e_i_Any_j_e_i_Default");
    registerDependentScopedReference(instance, KieEditor_overviewWidget);
    KieEditor_OverviewWidgetPresenter_overviewWidget(instance, KieEditor_overviewWidget);
    final KieEditorWrapperViewImpl KieEditor_kieView = (KieEditorWrapperViewImpl) contextManager.getInstance("Type_factory__o_k_w_c_w_m_c_KieEditorWrapperViewImpl__quals__j_e_i_Any_j_e_i_Default");
    registerDependentScopedReference(instance, KieEditor_kieView);
    KieEditor_KieEditorWrapperView_kieView(instance, KieEditor_kieView);
    final Event BaseEditor_concurrentDeleteIgnoredEvent = (Event) contextManager.getContextualInstance("ContextualProvider_factory__j_e_e_Event__quals__Universal", new Class[] { ConcurrentDeleteIgnoredEvent.class }, new Annotation[] { });
    registerDependentScopedReference(instance, BaseEditor_concurrentDeleteIgnoredEvent);
    BaseEditor_Event_concurrentDeleteIgnoredEvent(instance, BaseEditor_concurrentDeleteIgnoredEvent);
    final BasicFileMenuBuilderImpl BaseEditor_menuBuilder = (BasicFileMenuBuilderImpl) contextManager.getInstance("Type_factory__o_u_e_e_c_c_m_BasicFileMenuBuilderImpl__quals__j_e_i_Any_j_e_i_Default");
    registerDependentScopedReference(instance, BaseEditor_menuBuilder);
    BaseEditor_BasicFileMenuBuilder_menuBuilder(instance, BaseEditor_menuBuilder);
    final LayoutComponentPalettePresenter FormEditorPresenter_layoutDragComponentPalette = (LayoutComponentPalettePresenter) contextManager.getInstance("Type_factory__o_u_e_l_e_c_w_LayoutComponentPalettePresenter__quals__j_e_i_Any_j_e_i_Default");
    FormEditorPresenter_LayoutDragComponentPalette_layoutDragComponentPalette(instance, FormEditorPresenter_layoutDragComponentPalette);
    final RenamePopUpPresenter KieEditor_renamePopUpPresenter = (RenamePopUpPresenter) contextManager.getInstance("Type_factory__o_u_e_e_c_c_f_p_RenamePopUpPresenter__quals__j_e_i_Any_j_e_i_Default");
    registerDependentScopedReference(instance, KieEditor_renamePopUpPresenter);
    KieEditor_RenamePopUpPresenter_renamePopUpPresenter(instance, KieEditor_renamePopUpPresenter);
    final AlertsButtonMenuItemBuilder KieEditor_alertsButtonMenuItemBuilder = (AlertsButtonMenuItemBuilder) contextManager.getInstance("Type_factory__o_g_m_c_c_w_b_AlertsButtonMenuItemBuilder__quals__j_e_i_Any_j_e_i_Default");
    registerDependentScopedReference(instance, KieEditor_alertsButtonMenuItemBuilder);
    KieEditor_AlertsButtonMenuItemBuilder_alertsButtonMenuItemBuilder(instance, KieEditor_alertsButtonMenuItemBuilder);
    final FormEditorHelper FormEditorPresenter_editorHelper = (FormEditorHelper) contextManager.getInstance("Type_factory__o_k_w_c_f_e_c_e_FormEditorHelper__quals__j_e_i_Any_j_e_i_Default");
    registerDependentScopedReference(instance, FormEditorPresenter_editorHelper);
    FormEditorPresenter_FormEditorHelper_editorHelper(instance, FormEditorPresenter_editorHelper);
    final DefaultEditorDock KieEditor_docks = (DefaultEditorDock) contextManager.getInstance("Type_factory__o_k_w_c_w_c_d_DefaultEditorDock__quals__j_e_i_Any_j_e_i_Default");
    registerDependentScopedReference(instance, KieEditor_docks);
    KieEditor_DefaultEditorDock_docks(instance, KieEditor_docks);
    final Event BaseEditor_concurrentRenameAcceptedEvent = (Event) contextManager.getContextualInstance("ContextualProvider_factory__j_e_e_Event__quals__Universal", new Class[] { ConcurrentRenameAcceptedEvent.class }, new Annotation[] { });
    registerDependentScopedReference(instance, BaseEditor_concurrentRenameAcceptedEvent);
    BaseEditor_Event_concurrentRenameAcceptedEvent(instance, BaseEditor_concurrentRenameAcceptedEvent);
    final BusyIndicatorView FormEditorPresenter_busyIndicatorView = (BusyIndicatorView) contextManager.getInstance("Type_factory__o_u_e_w_c_c_c_BusyIndicatorView__quals__j_e_i_Any_j_e_i_Default");
    registerDependentScopedReference(instance, FormEditorPresenter_busyIndicatorView);
    FormEditorPresenter_BusyIndicatorView_busyIndicatorView(instance, FormEditorPresenter_busyIndicatorView);
    final FormEditorContext FormEditorPresenter_formEditorContext = (FormEditorContext) contextManager.getInstance("Type_factory__o_k_w_c_f_e_c_e_FormEditorContext__quals__j_e_i_Any_j_e_i_Default");
    FormEditorPresenter_FormEditorContext_formEditorContext(instance, FormEditorPresenter_formEditorContext);
    final PlaceManagerImpl BaseEditor_placeManager = (PlaceManagerImpl) contextManager.getInstance("Type_factory__o_u_c_m_PlaceManagerImpl__quals__j_e_i_Any_j_e_i_Default");
    BaseEditor_PlaceManager_placeManager(instance, BaseEditor_placeManager);
    final ProjectController KieEditor_projectController = (ProjectController) contextManager.getInstance("Type_factory__o_g_c_s_p_c_s_ProjectController__quals__j_e_i_Any_j_e_i_Default");
    KieEditor_ProjectController_projectController(instance, KieEditor_projectController);
    final DeletePopUpPresenter BaseEditor_deletePopUpPresenter = (DeletePopUpPresenter) contextManager.getInstance("Type_factory__o_u_e_e_c_c_f_p_DeletePopUpPresenter__quals__j_e_i_Any_j_e_i_Default");
    BaseEditor_DeletePopUpPresenter_deletePopUpPresenter(instance, BaseEditor_deletePopUpPresenter);
    final FileMenuBuilderImpl KieEditor_fileMenuBuilder = (FileMenuBuilderImpl) contextManager.getInstance("Type_factory__o_k_w_c_w_c_m_FileMenuBuilderImpl__quals__j_e_i_Any_j_e_i_Default");
    registerDependentScopedReference(instance, KieEditor_fileMenuBuilder);
    KieEditor_FileMenuBuilder_fileMenuBuilder(instance, KieEditor_fileMenuBuilder);
    final AssetUpdateValidator KieEditor_assetUpdateValidator = (AssetUpdateValidator) contextManager.getInstance("Type_factory__o_k_w_c_w_m_c_v_AssetUpdateValidator__quals__j_e_i_Any_j_e_i_Default");
    registerDependentScopedReference(instance, KieEditor_assetUpdateValidator);
    KieEditor_AssetUpdateValidator_assetUpdateValidator(instance, KieEditor_assetUpdateValidator);
    final Caller FormEditorPresenter_metadataService = (Caller) contextManager.getContextualInstance("ContextualProvider_factory__o_j_e_c_c_a_Caller__quals__Universal", new Class[] { MetadataService.class }, new Annotation[] { });
    registerDependentScopedReference(instance, FormEditorPresenter_metadataService);
    FormEditorPresenter_Caller_metadataService(instance, FormEditorPresenter_metadataService);
    final CopyPopUpPresenter KieEditor_copyPopUpPresenter = (CopyPopUpPresenter) contextManager.getInstance("Type_factory__o_u_e_e_c_c_f_p_CopyPopUpPresenter__quals__j_e_i_Any_j_e_i_Default");
    registerDependentScopedReference(instance, KieEditor_copyPopUpPresenter);
    KieEditor_CopyPopUpPresenter_copyPopUpPresenter(instance, KieEditor_copyPopUpPresenter);
    final Promises BaseEditor_promises = (Promises) contextManager.getInstance("Type_factory__o_u_c_p_Promises__quals__j_e_i_Any_j_e_i_Default");
    registerDependentScopedReference(instance, BaseEditor_promises);
    BaseEditor_Promises_promises(instance, BaseEditor_promises);
    final Event FormEditorPresenter_layoutFocusEvent = (Event) contextManager.getContextualInstance("ContextualProvider_factory__j_e_e_Event__quals__Universal", new Class[] { LayoutEditorFocusEvent.class }, new Annotation[] { });
    registerDependentScopedReference(instance, FormEditorPresenter_layoutFocusEvent);
    FormEditorPresenter_Event_layoutFocusEvent(instance, FormEditorPresenter_layoutFocusEvent);
    final DownloadMenuItemBuilder BaseEditor_downloadMenuItemBuilder = (DownloadMenuItemBuilder) contextManager.getInstance("Type_factory__o_u_e_e_c_c_m_DownloadMenuItemBuilder__quals__j_e_i_Any_j_e_i_Default");
    registerDependentScopedReference(instance, BaseEditor_downloadMenuItemBuilder);
    BaseEditor_DownloadMenuItemBuilder_downloadMenuItemBuilder(instance, BaseEditor_downloadMenuItemBuilder);
    final DefaultFileNameValidator BaseEditor_fileNameValidator = (DefaultFileNameValidator) contextManager.getInstance("Type_factory__o_u_e_e_c_c_v_DefaultFileNameValidator__quals__j_e_i_Any_j_e_i_Default");
    BaseEditor_DefaultFileNameValidator_fileNameValidator(instance, BaseEditor_fileNameValidator);
    final Event BaseEditor_notification = (Event) contextManager.getContextualInstance("ContextualProvider_factory__j_e_e_Event__quals__Universal", new Class[] { NotificationEvent.class }, new Annotation[] { });
    registerDependentScopedReference(instance, BaseEditor_notification);
    BaseEditor_Event_notification(instance, BaseEditor_notification);
    final PerspectiveManagerImpl KieEditor_perspectiveManager = (PerspectiveManagerImpl) contextManager.getInstance("Type_factory__o_u_c_m_PerspectiveManagerImpl__quals__j_e_i_Any_j_e_i_Default");
    KieEditor_PerspectiveManager_perspectiveManager(instance, KieEditor_perspectiveManager);
    final Event BaseEditor_changeTitleNotification = (Event) contextManager.getContextualInstance("ContextualProvider_factory__j_e_e_Event__quals__Universal", new Class[] { ChangeTitleWidgetEvent.class }, new Annotation[] { });
    registerDependentScopedReference(instance, BaseEditor_changeTitleNotification);
    BaseEditor_Event_changeTitleNotification(instance, BaseEditor_changeTitleNotification);
    final ManagedInstance BaseEditor_menuBuilderManagedInstance = (ManagedInstance) contextManager.getContextualInstance("ContextualProvider_factory__o_j_e_i_c_a_ManagedInstance__quals__Universal", new Class[] { BasicFileMenuBuilder.class }, new Annotation[] { });
    registerDependentScopedReference(instance, BaseEditor_menuBuilderManagedInstance);
    BaseEditor_ManagedInstance_menuBuilderManagedInstance(instance, BaseEditor_menuBuilderManagedInstance);
    final SavePopUpPresenter KieEditor_savePopUpPresenter = (SavePopUpPresenter) contextManager.getInstance("Type_factory__o_u_e_e_c_c_f_p_SavePopUpPresenter__quals__j_e_i_Any_j_e_i_Default");
    registerDependentScopedReference(instance, KieEditor_savePopUpPresenter);
    KieEditor_SavePopUpPresenter_savePopUpPresenter(instance, KieEditor_savePopUpPresenter);
    final LayoutEditorPluginImpl FormEditorPresenter_layoutEditor = (LayoutEditorPluginImpl) contextManager.getInstance("Type_factory__o_u_e_l_e_c_LayoutEditorPluginImpl__quals__j_e_i_Any_j_e_i_Default");
    registerDependentScopedReference(instance, FormEditorPresenter_layoutEditor);
    FormEditorPresenter_LayoutEditor_layoutEditor(instance, FormEditorPresenter_layoutEditor);
    thisInstance.setReference(instance, "onRemoveComponentSubscription", CDI.subscribeLocal("org.uberfire.ext.layout.editor.client.api.ComponentRemovedEvent", new AbstractCDIEventCallback<ComponentRemovedEvent>() {
      public void fireEvent(final ComponentRemovedEvent event) {
        instance.onRemoveComponent(event);
      }
      public String toString() {
        return "Observer: org.uberfire.ext.layout.editor.client.api.ComponentRemovedEvent []";
      }
    }));
    thisInstance.setReference(instance, "onLayoutEditorElementSelectEventSubscription", CDI.subscribeLocal("org.uberfire.ext.layout.editor.client.event.LayoutEditorElementSelectEvent", new AbstractCDIEventCallback<LayoutEditorElementSelectEvent>() {
      public void fireEvent(final LayoutEditorElementSelectEvent event) {
        instance.onLayoutEditorElementSelectEvent(event);
      }
      public String toString() {
        return "Observer: org.uberfire.ext.layout.editor.client.event.LayoutEditorElementSelectEvent []";
      }
    }));
    thisInstance.setReference(instance, "onSyncPaletteSubscription", CDI.subscribeLocal("org.kie.workbench.common.forms.editor.client.editor.events.FormEditorSyncPaletteEvent", new AbstractCDIEventCallback<FormEditorSyncPaletteEvent>() {
      public void fireEvent(final FormEditorSyncPaletteEvent event) {
        instance.onSyncPalette(event);
      }
      public String toString() {
        return "Observer: org.kie.workbench.common.forms.editor.client.editor.events.FormEditorSyncPaletteEvent []";
      }
    }));
    thisInstance.setReference(instance, "onShowDiagramEditorDocksSubscription", CDI.subscribeLocal("org.uberfire.client.workbench.events.PlaceGainFocusEvent", new AbstractCDIEventCallback<PlaceGainFocusEvent>() {
      public void fireEvent(final PlaceGainFocusEvent event) {
        instance.onShowDiagramEditorDocks(event);
      }
      public String toString() {
        return "Observer: org.uberfire.client.workbench.events.PlaceGainFocusEvent []";
      }
    }));
    thisInstance.setReference(instance, "onHideDocksSubscription", CDI.subscribeLocal("org.uberfire.client.workbench.events.PlaceHiddenEvent", new AbstractCDIEventCallback<PlaceHiddenEvent>() {
      public void fireEvent(final PlaceHiddenEvent event) {
        instance.onHideDocks(event);
      }
      public String toString() {
        return "Observer: org.uberfire.client.workbench.events.PlaceHiddenEvent []";
      }
    }));
    thisInstance.setReference(instance, "onRepositoryRemovedSubscription", CDI.subscribe("org.guvnor.structure.repositories.RepositoryRemovedEvent", new AbstractCDIEventCallback<RepositoryRemovedEvent>() {
      public void fireEvent(final RepositoryRemovedEvent event) {
        instance.onRepositoryRemoved(event);
      }
      public String toString() {
        return "Observer: org.guvnor.structure.repositories.RepositoryRemovedEvent []";
      }
    }));
    thisInstance.setReference(instance, "onRepositoryRemovedSubscriptionForRepositoryRemovedEvent", ErraiBus.get().subscribe("cdi.event:org.guvnor.structure.repositories.RepositoryRemovedEvent", CDI.ROUTING_CALLBACK));
    thisInstance.setReference(instance, "onRestoreSubscription", CDI.subscribeLocal("org.uberfire.ext.editor.commons.version.events.RestoreEvent", new AbstractCDIEventCallback<RestoreEvent>() {
      public void fireEvent(final RestoreEvent event) {
        instance.onRestore(event);
      }
      public String toString() {
        return "Observer: org.uberfire.ext.editor.commons.version.events.RestoreEvent []";
      }
    }));
    setIncompleteInstance(null);
    return instance;
  }

  public void generatedDestroyInstance(final Object instance, final ContextManager contextManager) {
    destroyInstanceHelper((FormEditorPresenter) instance, contextManager);
  }

  public void destroyInstanceHelper(final FormEditorPresenter instance, final ContextManager contextManager) {
    instance.destroy();
    ((Subscription) thisInstance.getReferenceAs(instance, "onRemoveComponentSubscription", Subscription.class)).remove();
    ((Subscription) thisInstance.getReferenceAs(instance, "onLayoutEditorElementSelectEventSubscription", Subscription.class)).remove();
    ((Subscription) thisInstance.getReferenceAs(instance, "onSyncPaletteSubscription", Subscription.class)).remove();
    ((Subscription) thisInstance.getReferenceAs(instance, "onShowDiagramEditorDocksSubscription", Subscription.class)).remove();
    ((Subscription) thisInstance.getReferenceAs(instance, "onHideDocksSubscription", Subscription.class)).remove();
    ((Subscription) thisInstance.getReferenceAs(instance, "onRepositoryRemovedSubscription", Subscription.class)).remove();
    ((Subscription) thisInstance.getReferenceAs(instance, "onRepositoryRemovedSubscriptionForRepositoryRemovedEvent", Subscription.class)).remove();
    ((Subscription) thisInstance.getReferenceAs(instance, "onRestoreSubscription", Subscription.class)).remove();
  }

  native static WorkspaceProjectContext KieEditor_WorkspaceProjectContext_workbenchContext(KieEditor instance) /*-{
    return instance.@org.kie.workbench.common.widgets.metadata.client.KieEditor::workbenchContext;
  }-*/;

  native static void KieEditor_WorkspaceProjectContext_workbenchContext(KieEditor instance, WorkspaceProjectContext value) /*-{
    instance.@org.kie.workbench.common.widgets.metadata.client.KieEditor::workbenchContext = value;
  }-*/;

  native static FormEditorHelper FormEditorPresenter_FormEditorHelper_editorHelper(FormEditorPresenter instance) /*-{
    return instance.@org.kie.workbench.common.forms.editor.client.editor.FormEditorPresenter::editorHelper;
  }-*/;

  native static void FormEditorPresenter_FormEditorHelper_editorHelper(FormEditorPresenter instance, FormEditorHelper value) /*-{
    instance.@org.kie.workbench.common.forms.editor.client.editor.FormEditorPresenter::editorHelper = value;
  }-*/;

  native static PlaceManager BaseEditor_PlaceManager_placeManager(BaseEditor instance) /*-{
    return instance.@org.uberfire.ext.editor.commons.client.BaseEditor::placeManager;
  }-*/;

  native static void BaseEditor_PlaceManager_placeManager(BaseEditor instance, PlaceManager value) /*-{
    instance.@org.uberfire.ext.editor.commons.client.BaseEditor::placeManager = value;
  }-*/;

  native static LayoutEditor FormEditorPresenter_LayoutEditor_layoutEditor(FormEditorPresenter instance) /*-{
    return instance.@org.kie.workbench.common.forms.editor.client.editor.FormEditorPresenter::layoutEditor;
  }-*/;

  native static void FormEditorPresenter_LayoutEditor_layoutEditor(FormEditorPresenter instance, LayoutEditor value) /*-{
    instance.@org.kie.workbench.common.forms.editor.client.editor.FormEditorPresenter::layoutEditor = value;
  }-*/;

  native static FormEditorContext FormEditorPresenter_FormEditorContext_formEditorContext(FormEditorPresenter instance) /*-{
    return instance.@org.kie.workbench.common.forms.editor.client.editor.FormEditorPresenter::formEditorContext;
  }-*/;

  native static void FormEditorPresenter_FormEditorContext_formEditorContext(FormEditorPresenter instance, FormEditorContext value) /*-{
    instance.@org.kie.workbench.common.forms.editor.client.editor.FormEditorPresenter::formEditorContext = value;
  }-*/;

  native static RenamePopUpPresenter KieEditor_RenamePopUpPresenter_renamePopUpPresenter(KieEditor instance) /*-{
    return instance.@org.kie.workbench.common.widgets.metadata.client.KieEditor::renamePopUpPresenter;
  }-*/;

  native static void KieEditor_RenamePopUpPresenter_renamePopUpPresenter(KieEditor instance, RenamePopUpPresenter value) /*-{
    instance.@org.kie.workbench.common.widgets.metadata.client.KieEditor::renamePopUpPresenter = value;
  }-*/;

  native static DefaultEditorDock KieEditor_DefaultEditorDock_docks(KieEditor instance) /*-{
    return instance.@org.kie.workbench.common.widgets.metadata.client.KieEditor::docks;
  }-*/;

  native static void KieEditor_DefaultEditorDock_docks(KieEditor instance, DefaultEditorDock value) /*-{
    instance.@org.kie.workbench.common.widgets.metadata.client.KieEditor::docks = value;
  }-*/;

  native static PerspectiveManager KieEditor_PerspectiveManager_perspectiveManager(KieEditor instance) /*-{
    return instance.@org.kie.workbench.common.widgets.metadata.client.KieEditor::perspectiveManager;
  }-*/;

  native static void KieEditor_PerspectiveManager_perspectiveManager(KieEditor instance, PerspectiveManager value) /*-{
    instance.@org.kie.workbench.common.widgets.metadata.client.KieEditor::perspectiveManager = value;
  }-*/;

  native static Caller FormEditorPresenter_Caller_metadataService(FormEditorPresenter instance) /*-{
    return instance.@org.kie.workbench.common.forms.editor.client.editor.FormEditorPresenter::metadataService;
  }-*/;

  native static void FormEditorPresenter_Caller_metadataService(FormEditorPresenter instance, Caller<MetadataService> value) /*-{
    instance.@org.kie.workbench.common.forms.editor.client.editor.FormEditorPresenter::metadataService = value;
  }-*/;

  native static ManagedInstance BaseEditor_ManagedInstance_menuBuilderManagedInstance(BaseEditor instance) /*-{
    return instance.@org.uberfire.ext.editor.commons.client.BaseEditor::menuBuilderManagedInstance;
  }-*/;

  native static void BaseEditor_ManagedInstance_menuBuilderManagedInstance(BaseEditor instance, ManagedInstance<BasicFileMenuBuilder> value) /*-{
    instance.@org.uberfire.ext.editor.commons.client.BaseEditor::menuBuilderManagedInstance = value;
  }-*/;

  native static Event BaseEditor_Event_concurrentRenameIgnoredEvent(BaseEditor instance) /*-{
    return instance.@org.uberfire.ext.editor.commons.client.BaseEditor::concurrentRenameIgnoredEvent;
  }-*/;

  native static void BaseEditor_Event_concurrentRenameIgnoredEvent(BaseEditor instance, Event<ConcurrentRenameIgnoredEvent> value) /*-{
    instance.@org.uberfire.ext.editor.commons.client.BaseEditor::concurrentRenameIgnoredEvent = value;
  }-*/;

  native static HTMLLayoutDragComponent FormEditorPresenter_HTMLLayoutDragComponent_htmlLayoutDragComponent(FormEditorPresenter instance) /*-{
    return instance.@org.kie.workbench.common.forms.editor.client.editor.FormEditorPresenter::htmlLayoutDragComponent;
  }-*/;

  native static void FormEditorPresenter_HTMLLayoutDragComponent_htmlLayoutDragComponent(FormEditorPresenter instance, HTMLLayoutDragComponent value) /*-{
    instance.@org.kie.workbench.common.forms.editor.client.editor.FormEditorPresenter::htmlLayoutDragComponent = value;
  }-*/;

  native static DefaultFileNameValidator BaseEditor_DefaultFileNameValidator_fileNameValidator(BaseEditor instance) /*-{
    return instance.@org.uberfire.ext.editor.commons.client.BaseEditor::fileNameValidator;
  }-*/;

  native static void BaseEditor_DefaultFileNameValidator_fileNameValidator(BaseEditor instance, DefaultFileNameValidator value) /*-{
    instance.@org.uberfire.ext.editor.commons.client.BaseEditor::fileNameValidator = value;
  }-*/;

  native static LayoutDragComponentPalette FormEditorPresenter_LayoutDragComponentPalette_layoutDragComponentPalette(FormEditorPresenter instance) /*-{
    return instance.@org.kie.workbench.common.forms.editor.client.editor.FormEditorPresenter::layoutDragComponentPalette;
  }-*/;

  native static void FormEditorPresenter_LayoutDragComponentPalette_layoutDragComponentPalette(FormEditorPresenter instance, LayoutDragComponentPalette value) /*-{
    instance.@org.kie.workbench.common.forms.editor.client.editor.FormEditorPresenter::layoutDragComponentPalette = value;
  }-*/;

  native static SavePopUpPresenter KieEditor_SavePopUpPresenter_savePopUpPresenter(KieEditor instance) /*-{
    return instance.@org.kie.workbench.common.widgets.metadata.client.KieEditor::savePopUpPresenter;
  }-*/;

  native static void KieEditor_SavePopUpPresenter_savePopUpPresenter(KieEditor instance, SavePopUpPresenter value) /*-{
    instance.@org.kie.workbench.common.widgets.metadata.client.KieEditor::savePopUpPresenter = value;
  }-*/;

  native static Promises BaseEditor_Promises_promises(BaseEditor instance) /*-{
    return instance.@org.uberfire.ext.editor.commons.client.BaseEditor::promises;
  }-*/;

  native static void BaseEditor_Promises_promises(BaseEditor instance, Promises value) /*-{
    instance.@org.uberfire.ext.editor.commons.client.BaseEditor::promises = value;
  }-*/;

  native static Event BaseEditor_Event_changeTitleNotification(BaseEditor instance) /*-{
    return instance.@org.uberfire.ext.editor.commons.client.BaseEditor::changeTitleNotification;
  }-*/;

  native static void BaseEditor_Event_changeTitleNotification(BaseEditor instance, Event<ChangeTitleWidgetEvent> value) /*-{
    instance.@org.uberfire.ext.editor.commons.client.BaseEditor::changeTitleNotification = value;
  }-*/;

  native static Event BaseEditor_Event_concurrentDeleteAcceptedEvent(BaseEditor instance) /*-{
    return instance.@org.uberfire.ext.editor.commons.client.BaseEditor::concurrentDeleteAcceptedEvent;
  }-*/;

  native static void BaseEditor_Event_concurrentDeleteAcceptedEvent(BaseEditor instance, Event<ConcurrentDeleteAcceptedEvent> value) /*-{
    instance.@org.uberfire.ext.editor.commons.client.BaseEditor::concurrentDeleteAcceptedEvent = value;
  }-*/;

  native static ProjectController KieEditor_ProjectController_projectController(KieEditor instance) /*-{
    return instance.@org.kie.workbench.common.widgets.metadata.client.KieEditor::projectController;
  }-*/;

  native static void KieEditor_ProjectController_projectController(KieEditor instance, ProjectController value) /*-{
    instance.@org.kie.workbench.common.widgets.metadata.client.KieEditor::projectController = value;
  }-*/;

  native static BusyIndicatorView FormEditorPresenter_BusyIndicatorView_busyIndicatorView(FormEditorPresenter instance) /*-{
    return instance.@org.kie.workbench.common.forms.editor.client.editor.FormEditorPresenter::busyIndicatorView;
  }-*/;

  native static void FormEditorPresenter_BusyIndicatorView_busyIndicatorView(FormEditorPresenter instance, BusyIndicatorView value) /*-{
    instance.@org.kie.workbench.common.forms.editor.client.editor.FormEditorPresenter::busyIndicatorView = value;
  }-*/;

  native static Event BaseEditor_Event_notification(BaseEditor instance) /*-{
    return instance.@org.uberfire.ext.editor.commons.client.BaseEditor::notification;
  }-*/;

  native static void BaseEditor_Event_notification(BaseEditor instance, Event<NotificationEvent> value) /*-{
    instance.@org.uberfire.ext.editor.commons.client.BaseEditor::notification = value;
  }-*/;

  native static Event BaseEditor_Event_concurrentDeleteIgnoredEvent(BaseEditor instance) /*-{
    return instance.@org.uberfire.ext.editor.commons.client.BaseEditor::concurrentDeleteIgnoredEvent;
  }-*/;

  native static void BaseEditor_Event_concurrentDeleteIgnoredEvent(BaseEditor instance, Event<ConcurrentDeleteIgnoredEvent> value) /*-{
    instance.@org.uberfire.ext.editor.commons.client.BaseEditor::concurrentDeleteIgnoredEvent = value;
  }-*/;

  native static Event FormEditorPresenter_Event_layoutLostFocusEvent(FormEditorPresenter instance) /*-{
    return instance.@org.kie.workbench.common.forms.editor.client.editor.FormEditorPresenter::layoutLostFocusEvent;
  }-*/;

  native static void FormEditorPresenter_Event_layoutLostFocusEvent(FormEditorPresenter instance, Event<LayoutEditorLostFocusEvent> value) /*-{
    instance.@org.kie.workbench.common.forms.editor.client.editor.FormEditorPresenter::layoutLostFocusEvent = value;
  }-*/;

  native static SaveAndRenameCommandBuilder BaseEditor_SaveAndRenameCommandBuilder_saveAndRenameCommandBuilder(BaseEditor instance) /*-{
    return instance.@org.uberfire.ext.editor.commons.client.BaseEditor::saveAndRenameCommandBuilder;
  }-*/;

  native static void BaseEditor_SaveAndRenameCommandBuilder_saveAndRenameCommandBuilder(BaseEditor instance, SaveAndRenameCommandBuilder<FormModelerContent, Metadata> value) /*-{
    instance.@org.uberfire.ext.editor.commons.client.BaseEditor::saveAndRenameCommandBuilder = value;
  }-*/;

  native static BasicFileMenuBuilder BaseEditor_BasicFileMenuBuilder_menuBuilder(BaseEditor instance) /*-{
    return instance.@org.uberfire.ext.editor.commons.client.BaseEditor::menuBuilder;
  }-*/;

  native static void BaseEditor_BasicFileMenuBuilder_menuBuilder(BaseEditor instance, BasicFileMenuBuilder value) /*-{
    instance.@org.uberfire.ext.editor.commons.client.BaseEditor::menuBuilder = value;
  }-*/;

  native static Event FormEditorPresenter_Event_layoutFocusEvent(FormEditorPresenter instance) /*-{
    return instance.@org.kie.workbench.common.forms.editor.client.editor.FormEditorPresenter::layoutFocusEvent;
  }-*/;

  native static void FormEditorPresenter_Event_layoutFocusEvent(FormEditorPresenter instance, Event<LayoutEditorFocusEvent> value) /*-{
    instance.@org.kie.workbench.common.forms.editor.client.editor.FormEditorPresenter::layoutFocusEvent = value;
  }-*/;

  native static DeletePopUpPresenter BaseEditor_DeletePopUpPresenter_deletePopUpPresenter(BaseEditor instance) /*-{
    return instance.@org.uberfire.ext.editor.commons.client.BaseEditor::deletePopUpPresenter;
  }-*/;

  native static void BaseEditor_DeletePopUpPresenter_deletePopUpPresenter(BaseEditor instance, DeletePopUpPresenter value) /*-{
    instance.@org.uberfire.ext.editor.commons.client.BaseEditor::deletePopUpPresenter = value;
  }-*/;

  native static AssetUpdateValidator KieEditor_AssetUpdateValidator_assetUpdateValidator(KieEditor instance) /*-{
    return instance.@org.kie.workbench.common.widgets.metadata.client.KieEditor::assetUpdateValidator;
  }-*/;

  native static void KieEditor_AssetUpdateValidator_assetUpdateValidator(KieEditor instance, AssetUpdateValidator value) /*-{
    instance.@org.kie.workbench.common.widgets.metadata.client.KieEditor::assetUpdateValidator = value;
  }-*/;

  native static AlertsButtonMenuItemBuilder KieEditor_AlertsButtonMenuItemBuilder_alertsButtonMenuItemBuilder(KieEditor instance) /*-{
    return instance.@org.kie.workbench.common.widgets.metadata.client.KieEditor::alertsButtonMenuItemBuilder;
  }-*/;

  native static void KieEditor_AlertsButtonMenuItemBuilder_alertsButtonMenuItemBuilder(KieEditor instance, AlertsButtonMenuItemBuilder value) /*-{
    instance.@org.kie.workbench.common.widgets.metadata.client.KieEditor::alertsButtonMenuItemBuilder = value;
  }-*/;

  native static OverviewWidgetPresenter KieEditor_OverviewWidgetPresenter_overviewWidget(KieEditor instance) /*-{
    return instance.@org.kie.workbench.common.widgets.metadata.client.KieEditor::overviewWidget;
  }-*/;

  native static void KieEditor_OverviewWidgetPresenter_overviewWidget(KieEditor instance, OverviewWidgetPresenter value) /*-{
    instance.@org.kie.workbench.common.widgets.metadata.client.KieEditor::overviewWidget = value;
  }-*/;

  native static CopyPopUpPresenter KieEditor_CopyPopUpPresenter_copyPopUpPresenter(KieEditor instance) /*-{
    return instance.@org.kie.workbench.common.widgets.metadata.client.KieEditor::copyPopUpPresenter;
  }-*/;

  native static void KieEditor_CopyPopUpPresenter_copyPopUpPresenter(KieEditor instance, CopyPopUpPresenter value) /*-{
    instance.@org.kie.workbench.common.widgets.metadata.client.KieEditor::copyPopUpPresenter = value;
  }-*/;

  native static KieEditorWrapperView KieEditor_KieEditorWrapperView_kieView(KieEditor instance) /*-{
    return instance.@org.kie.workbench.common.widgets.metadata.client.KieEditor::kieView;
  }-*/;

  native static void KieEditor_KieEditorWrapperView_kieView(KieEditor instance, KieEditorWrapperView value) /*-{
    instance.@org.kie.workbench.common.widgets.metadata.client.KieEditor::kieView = value;
  }-*/;

  native static DownloadMenuItemBuilder BaseEditor_DownloadMenuItemBuilder_downloadMenuItemBuilder(BaseEditor instance) /*-{
    return instance.@org.uberfire.ext.editor.commons.client.BaseEditor::downloadMenuItemBuilder;
  }-*/;

  native static void BaseEditor_DownloadMenuItemBuilder_downloadMenuItemBuilder(BaseEditor instance, DownloadMenuItemBuilder value) /*-{
    instance.@org.uberfire.ext.editor.commons.client.BaseEditor::downloadMenuItemBuilder = value;
  }-*/;

  native static VersionRecordManager BaseEditor_VersionRecordManager_versionRecordManager(BaseEditor instance) /*-{
    return instance.@org.uberfire.ext.editor.commons.client.BaseEditor::versionRecordManager;
  }-*/;

  native static void BaseEditor_VersionRecordManager_versionRecordManager(BaseEditor instance, VersionRecordManager value) /*-{
    instance.@org.uberfire.ext.editor.commons.client.BaseEditor::versionRecordManager = value;
  }-*/;

  native static FileMenuBuilder KieEditor_FileMenuBuilder_fileMenuBuilder(KieEditor instance) /*-{
    return instance.@org.kie.workbench.common.widgets.metadata.client.KieEditor::fileMenuBuilder;
  }-*/;

  native static void KieEditor_FileMenuBuilder_fileMenuBuilder(KieEditor instance, FileMenuBuilder value) /*-{
    instance.@org.kie.workbench.common.widgets.metadata.client.KieEditor::fileMenuBuilder = value;
  }-*/;

  native static Event BaseEditor_Event_concurrentRenameAcceptedEvent(BaseEditor instance) /*-{
    return instance.@org.uberfire.ext.editor.commons.client.BaseEditor::concurrentRenameAcceptedEvent;
  }-*/;

  native static void BaseEditor_Event_concurrentRenameAcceptedEvent(BaseEditor instance, Event<ConcurrentRenameAcceptedEvent> value) /*-{
    instance.@org.uberfire.ext.editor.commons.client.BaseEditor::concurrentRenameAcceptedEvent = value;
  }-*/;
}