package org.jboss.errai.marshalling.client.api;

import java.util.Date;
import java.util.Set;
import org.jboss.errai.marshalling.client.Marshalling;
import org.jboss.errai.marshalling.client.api.json.EJObject;
import org.jboss.errai.marshalling.client.api.json.EJValue;
import org.jbpm.workbench.es.model.ExecutionErrorSummary;
import org.jbpm.workbench.es.util.ExecutionErrorType;

public class Marshaller_o_j_w_e_m_ExecutionErrorSummary_1_Impl implements GeneratedMarshaller<ExecutionErrorSummary> {
  private ExecutionErrorSummary[] EMPTY_ARRAY = new ExecutionErrorSummary[0];
  private Marshaller<String> java_lang_String = Marshalling.getMarshaller(String.class);
  private Marshaller<ExecutionErrorType> org_jbpm_workbench_es_util_ExecutionErrorType = null;
  private Marshaller<Long> java_lang_Long = Marshalling.getMarshaller(Long.class);
  private Marshaller<Boolean> java_lang_Boolean = Marshalling.getMarshaller(Boolean.class);
  private Marshaller<Date> java_util_Date = Marshalling.getMarshaller(Date.class);
  public ExecutionErrorSummary[] getEmptyArray() {
    return EMPTY_ARRAY;
  }

  public ExecutionErrorSummary demarshall(EJValue a0, MarshallingSession a1) {
    lazyInit();
    EJObject obj = a0.isObject();
    if (obj == null) {
      return null;
    }
    String objId = obj.get("^ObjectID").isString().stringValue();
    if (a1.hasObject(objId)) {
      return a1.getObject(ExecutionErrorSummary.class, objId);
    }
    ExecutionErrorSummary entity = new ExecutionErrorSummary();
    a1.recordObject(objId, entity);
    final Set<String> keys = obj.keySet();
    for (String key : keys) {
      if (key.equals("^EncodedType") || key.equals("^ObjectID")) {
        continue;
      }
      EJValue objVal = obj.getIfNotNull(key);
      if (objVal == null) {
        continue;
      }
      switch (key) {
        case "errorId": entity.setErrorId(java_lang_String.demarshall(objVal, a1));
        break;
        case "type": entity.setType(objVal.isObject() != null ? Enum.valueOf(ExecutionErrorType.class, objVal.isObject().get("^EnumStringValue").isString().stringValue()) : objVal.isString() != null ? Enum.valueOf(ExecutionErrorType.class, objVal.isString().stringValue()) : null);
        break;
        case "deploymentId": entity.setDeploymentId(java_lang_String.demarshall(objVal, a1));
        break;
        case "processInstanceId": entity.setProcessInstanceId(java_lang_Long.demarshall(objVal, a1));
        break;
        case "processId": entity.setProcessId(java_lang_String.demarshall(objVal, a1));
        break;
        case "activityId": entity.setActivityId(java_lang_Long.demarshall(objVal, a1));
        break;
        case "activityName": entity.setActivityName(java_lang_String.demarshall(objVal, a1));
        break;
        case "jobId": entity.setJobId(java_lang_Long.demarshall(objVal, a1));
        break;
        case "errorMessage": entity.setErrorMessage(java_lang_String.demarshall(objVal, a1));
        break;
        case "error": entity.setError(java_lang_String.demarshall(objVal, a1));
        break;
        case "acknowledged": entity.setAcknowledged(java_lang_Boolean.demarshall(objVal, a1));
        break;
        case "acknowledgedBy": entity.setAcknowledgedBy(java_lang_String.demarshall(objVal, a1));
        break;
        case "acknowledgedAt": entity.setAcknowledgedAt(java_util_Date.demarshall(objVal, a1));
        break;
        case "errorDate": entity.setErrorDate(java_util_Date.demarshall(objVal, a1));
        break;
        case "id": entity.setId(java_lang_String.demarshall(objVal, a1));
        break;
        case "name": entity.setName(java_lang_String.demarshall(objVal, a1));
        break;
      }
    }
    return entity;
  }

  native static Boolean ExecutionErrorSummary_Boolean_acknowledged(ExecutionErrorSummary instance) /*-{
    return instance.@org.jbpm.workbench.es.model.ExecutionErrorSummary::acknowledged;
  }-*/;

  native static void ExecutionErrorSummary_Boolean_acknowledged(ExecutionErrorSummary instance, Boolean value) /*-{
    instance.@org.jbpm.workbench.es.model.ExecutionErrorSummary::acknowledged = value;
  }-*/;

  public String marshall(ExecutionErrorSummary a0, MarshallingSession a1) {
    lazyInit();
    if (a0 == null) {
      return "null";
    }
    final boolean ref = a1.hasObject(a0);
    final String prefix = ((((((((("" + "{\"") + "^EncodedType") + "\":\"") + "org.jbpm.workbench.es.model.ExecutionErrorSummary") + "\"") + ",\"") + "^ObjectID") + "\":\"") + a1.getObject(a0)) + "\"";
    if (ref) {
      return prefix + "}";
    }
    return prefix + ((((((((((((((((((((((((((((((((((((((((((((((((((((((((((((((((("" + ",\"") + "errorId") + "\":") + java_lang_String.marshall(a0.getErrorId(), a1)) + ",\"") + "type") + "\":") + (a0.getType() != null ? ((((((("{\"" + "^EncodedType") + "\":\"") + "org.jbpm.workbench.es.util.ExecutionErrorType") + "\",\"") + "^EnumStringValue") + "\":\"") + a0.getType().name()) + "\"}" : "null")) + ",\"") + "deploymentId") + "\":") + java_lang_String.marshall(a0.getDeploymentId(), a1)) + ",\"") + "processInstanceId") + "\":") + java_lang_Long.marshall(a0.getProcessInstanceId(), a1)) + ",\"") + "processId") + "\":") + java_lang_String.marshall(a0.getProcessId(), a1)) + ",\"") + "activityId") + "\":") + java_lang_Long.marshall(a0.getActivityId(), a1)) + ",\"") + "activityName") + "\":") + java_lang_String.marshall(a0.getActivityName(), a1)) + ",\"") + "jobId") + "\":") + java_lang_Long.marshall(a0.getJobId(), a1)) + ",\"") + "errorMessage") + "\":") + java_lang_String.marshall(a0.getErrorMessage(), a1)) + ",\"") + "error") + "\":") + java_lang_String.marshall(a0.getError(), a1)) + ",\"") + "acknowledged") + "\":") + java_lang_Boolean.marshall(ExecutionErrorSummary_Boolean_acknowledged(a0), a1)) + ",\"") + "acknowledgedBy") + "\":") + java_lang_String.marshall(a0.getAcknowledgedBy(), a1)) + ",\"") + "acknowledgedAt") + "\":") + java_util_Date.marshall(a0.getAcknowledgedAt(), a1)) + ",\"") + "errorDate") + "\":") + java_util_Date.marshall(a0.getErrorDate(), a1)) + ",\"") + "id") + "\":") + java_lang_String.marshall(a0.getId(), a1)) + ",\"") + "name") + "\":") + java_lang_String.marshall(a0.getName(), a1)) + "}");
  }

  private void lazyInit() {
    if (org_jbpm_workbench_es_util_ExecutionErrorType == null) {
      org_jbpm_workbench_es_util_ExecutionErrorType = Marshalling.getMarshaller(ExecutionErrorType.class);
    }
  }
}